## oregano 0.40.0

=== docs/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/src/main.c
pkglibdir = $(libdir)/src/main.c
pkgincludedir = $(includedir)/src/main.c

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
AR = ar
AS = @AS@
CATALOGS =  ca.gmo de.gmo es.gmo fr.gmo it.gmo ja.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
ECHO = echo
EGREP = grep -E
EXEEXT = 
F77 = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GETTEXT_PACKAGE = oregano
GMOFILES =  ca.gmo de.gmo es.gmo fr.gmo it.gmo ja.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo
GMSGFMT = /usr/bin/msgfmt
HAVE_LIB = @HAVE_LIB@
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LIB = @LIB@
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIB = @LTLIB@
MAINT = 
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
OBJDUMP = @OBJDUMP@
OBJEXT = o
OREGANO_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeprint-2.2 -I/usr/include/gtksourceview-1.0 -I/usr/include/libpng12 -I/usr/include/libgnomeprintui-2.2  
OREGANO_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnome-2 -lpopt -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgthread-2.0 -lgtksourceview-1.0 -lcairo -lfreetype -lfontconfig -lpixman -lXrender -lX11 -lpng12 -lgnomeprintui-2-2 -lgnomeprint-2-2 -lgnomecanvas-2 -lxml2 -lpthread -lz -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
PACKAGE = src/main.c
PKG_CONFIG = /usr/bin/pkg-config
POFILES =  ca.po de.po es.po fr.po it.po ja.po pt_BR.po ro.po ru.po sv.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
RC = @RC@
STRIP = strip
USE_NLS = yes
VERSION = 0.40.0

EXTRA_DIST =  	Library-HOWTO.txt		oregano-herencia.dia

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu docs/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = docs

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu docs/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## oregano 0.40.4

=== docs/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 srcdir = .
 top_srcdir = ..
 
-prefix = /usr/local
+prefix = /opt/
 exec_prefix = ${prefix}
 
 bindir = ${exec_prefix}/bin
@@ -86,9 +86,12 @@
 INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
+INTLTOOL_ICONV = /usr/bin/iconv
 INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 INTLTOOL_MERGE = $(top_builddir)/intltool-merge
+INTLTOOL_MSGFMT = /usr/bin/msgfmt
+INTLTOOL_MSGMERGE = /usr/bin/msgmerge
 INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
 INTLTOOL_PERL = /usr/bin/perl
 INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
@@ -101,6 +104,8 @@
 INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 INTLTOOL_UPDATE = $(top_builddir)/intltool-update
 INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
+INTLTOOL_XGETTEXT = /usr/bin/xgettext
+INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
 INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
 LDFLAGS = 
 LIB = @LIB@
@@ -112,8 +117,8 @@
 MKINSTALLDIRS = ./mkinstalldirs
 OBJDUMP = @OBJDUMP@
 OBJEXT = o
-OREGANO_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeprint-2.2 -I/usr/include/gtksourceview-1.0 -I/usr/include/libpng12 -I/usr/include/libgnomeprintui-2.2  
-OREGANO_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnome-2 -lpopt -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgthread-2.0 -lgtksourceview-1.0 -lcairo -lfreetype -lfontconfig -lpixman -lXrender -lX11 -lpng12 -lgnomeprintui-2-2 -lgnomeprint-2-2 -lgnomecanvas-2 -lxml2 -lpthread -lz -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
+OREGANO_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeprint-2.2 -I/usr/include/gtksourceview-1.0 -I/usr/include/cairo -I/usr/include/libpng12 -I/usr/include/libgnomeprintui-2.2  
+OREGANO_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnome-2 -lpopt -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lgthread-2.0 -lgtksourceview-1.0 -lfreetype -lcairo -lfontconfig -lpixman -lXrender -lX11 -lpng12 -lgnomeprintui-2-2 -lgnomeprint-2-2 -lgnomecanvas-2 -lxml2 -lpthread -lz -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 PACKAGE = src/main.c
 PKG_CONFIG = /usr/bin/pkg-config
 POFILES =  ca.po de.po es.po fr.po it.po ja.po pt_BR.po ro.po ru.po sv.po
@@ -122,9 +127,12 @@
 PO_IN_DATADIR_TRUE = 
 RANLIB = ranlib
 RC = @RC@
+SCROLLKEEPER_CONFIG = /usr/bin/scrollkeeper-config
+SCROLLKEEPER_REQUIRED = 0.1.4
 STRIP = strip
 USE_NLS = yes
-VERSION = 0.40.0
+VERSION = 0.40.4
+mkdir_p = mkdir -p -- .
 
 EXTRA_DIST =  	Library-HOWTO.txt		oregano-herencia.dia

## oregano 0.50.1

=== SConstruct ===
import os;
import SCons;

SConsignFile ('.sconsdb')
 
# APP Version #
VERSION = '0.50.1'

# Command line options #
opts = Options ('oregano.conf');
opts.Add (PathOption ('PREFIX', 'System base prefix path', '/usr/local'));
opts.Add (PackageOption ('DESTDIR', 'System base installation path', '/'));

# Dependencies #
deps = []
deps.append ({'lib': 'gtk+-2.0',            'ver': '2.8.0'})
deps.append ({'lib': 'libglade-2.0',        'ver': '2.5.0'})
deps.append ({'lib': 'libgnomeui-2.0',      'ver': '2.12.0'})
deps.append ({'lib': 'libgnomeprint-2.2',   'ver': '2.12.0'})
deps.append ({'lib': 'libxml-2.0',          'ver': '2.6.0'})
deps.append ({'lib': 'libgnomecanvas-2.0',  'ver': '2.12.0'})
deps.append ({'lib': 'gtksourceview-1.0',   'ver': '1.0'})
deps.append ({'lib': 'cairo',               'ver': '1.0.0'})
deps.append ({'lib': 'libgnomeprintui-2.2', 'ver': '2.12.0'})

# CUSTOM CHECK FUNC #
def CheckPkg (context, pkg, version):
	msg = 'Checking for pkg %s >= %s ... ' % (pkg, version)
	context.Message ('   %-60s ' % (msg));
	result = os.system ('pkg-config --exists \'%s >= %s\'' % (pkg, version) );
	if result == 0:
		result = 'yes';
	else:
		result = 0;
	context.Result(result)
	return result;

CEnv = Environment (options = opts);
CEnv.SourceSignatures('timestamp')

# po_helper
# #
# # this is not a builder. we can't list the .po files as a target,
# # because then scons -c will remove them (even Precious doesn't alter
# # this). this function is called whenever a .mo file is being
# # built, and will conditionally update the .po file if necessary.
# #
def po_helper(po,pot):
	args = [ 'msgmerge',
		'--update',
		po,
		pot,
	]
	print 'Updating ' + po
	return os.spawnvp (os.P_WAIT, 'msgmerge', args)

# mo_builder: builder function for (binary) message catalogs (.mo)
#
# first source:  .po file
# second source: .pot file
#
def mo_builder(target,source,env):
	# Do not update .po files, just compile it
	# po_helper (source[0].get_path(), source[1].get_path())
	args = [ 'msgfmt',
		'-c',
		'-o',
		target[0].get_path(),
		source[0].get_path()
	]
	return os.spawnvp (os.P_WAIT, 'msgfmt', args)

mo_bld = Builder (action = mo_builder)

CEnv.Append (BUILDERS = {'MoBuild' : mo_bld})
CEnv.Append (CCFLAGS = Split ('-Wall'));

# Check dependencies #
if not CEnv.GetOption ('clean'):
	Cconf = Configure (CEnv, custom_tests = {'CheckPkg' : CheckPkg })

	for dep in deps:
		if not Cconf.CheckPkg (dep['lib'], dep['ver']): Exit(1);

	Cconf.Finish ();

# Create compiler command line from dependencies #
for dep in deps:
	CEnv.ParseConfig ('pkg-config --cflags --libs '+dep['lib']);

# Configure environment #
DataDir = CEnv['PREFIX']+'/share'
OreganoDir = DataDir+'/oregano'

CEnv['DATADIR'] = DataDir
CEnv['OREGANODIR'] = OreganoDir
CEnv['VERSION'] = VERSION
CEnv['DOMAIN'] = "oregano"
CEnv['POTFILE'] = "oregano.pot"
CEnv['INSTALL_DIR'] = CEnv['PREFIX']
if CEnv['DESTDIR'] != "":
	CEnv['INSTALL_DIR'] = CEnv['DESTDIR'] + CEnv['INSTALL_DIR'][1:]

Export ('CEnv')

SConscript ('src/SConscript');
SConscript ('data/SConscript');
SConscript ('po/SConscript');

# Install Target #
CEnv.Alias ('install', CEnv.Command ('oregano.keys', 'oregano.keys.in', "sed 's/@icondir@/"+os.path.join (CEnv['PREFIX'], CEnv['DATADIR'],"mine-info").replace ("/", "\\/")+"/' < $SOURCE > $TARGET"))
CEnv.Alias ('install', CEnv.Command ('oregano.xml', 'oregano.xml.in', "cp $SOURCE $TARGET"))
CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime/packages'), Split('oregano.xml')))
CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime-info'), Split('oregano.mime oregano.keys')))
CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/gnome/apps/Applications'), Split('oregano.desktop')))

# Update mime database #
CEnv.Alias ('install', CEnv.Command ('update-mime-database', 'oregano.xml', "update-mime-database "+os.path.join (CEnv['INSTALL_DIR'], 'share/mime')))

## oregano 0.60.0

=== SConstruct ===
--- 
+++ 
@@ -4,10 +4,12 @@
 SConsignFile ('.sconsdb')
  
 # APP Version #
-VERSION = '0.50.1'
+VERSION = '0.60.0'
 
 # Command line options #
-opts = Options ('oregano.conf');
+opts = Options ('oregano.py');
+opts.Add (BoolOption ('RunUpdateMimeDatabase', 'Set to no if you don\'t want to run update-mime-database', 1));
+opts.Add (BoolOption ('Debug', 'Set to yes you want to compile with debug symbolse', 0));
 opts.Add (PathOption ('PREFIX', 'System base prefix path', '/usr/local'));
 opts.Add (PackageOption ('DESTDIR', 'System base installation path', '/'));
 
@@ -36,6 +38,9 @@
 	return result;
 
 CEnv = Environment (options = opts);
+
+Help (opts.GenerateHelpText (CEnv))
+
 CEnv.SourceSignatures('timestamp')
 
 # po_helper
@@ -74,6 +79,8 @@
 
 CEnv.Append (BUILDERS = {'MoBuild' : mo_bld})
 CEnv.Append (CCFLAGS = Split ('-Wall'));
+if CEnv['Debug']:
+	CEnv.Append (CCFLAGS = Split ('-g'));
 
 # Check dependencies #
 if not CEnv.GetOption ('clean'):
@@ -110,9 +117,10 @@
 # Install Target #
 CEnv.Alias ('install', CEnv.Command ('oregano.keys', 'oregano.keys.in', "sed 's/@icondir@/"+os.path.join (CEnv['PREFIX'], CEnv['DATADIR'],"mine-info").replace ("/", "\\/")+"/' < $SOURCE > $TARGET"))
 CEnv.Alias ('install', CEnv.Command ('oregano.xml', 'oregano.xml.in', "cp $SOURCE $TARGET"))
-CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime/packages'), Split('oregano.xml')))
-CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime-info'), Split('oregano.mime oregano.keys')))
-CEnv.Alias('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/gnome/apps/Applications'), Split('oregano.desktop')))
+CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime/packages'), Split('oregano.xml')))
+CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime-info'), Split('oregano.mime oregano.keys')))
+CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/applications'), Split('oregano.desktop')))
 
 # Update mime database #
-CEnv.Alias ('install', CEnv.Command ('update-mime-database', 'oregano.xml', "update-mime-database "+os.path.join (CEnv['INSTALL_DIR'], 'share/mime')))
+if CEnv['RunUpdateMimeDatabase'] and ('install' in COMMAND_LINE_TARGETS):
+	CEnv.Alias ('install', CEnv.Command ('update-mime-database', 'oregano.xml', "update-mime-database "+os.path.join (CEnv['INSTALL_DIR'], 'share/mime')))

## oregano 0.69.0

=== SConstruct ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SConsignFile ('.sconsdb')
  
 # APP Version #
-VERSION = '0.60.0'
+VERSION = '0.69.0'
 
 # Command line options #
 opts = Options ('oregano.py');
@@ -15,15 +15,13 @@
 
 # Dependencies #
 deps = []
-deps.append ({'lib': 'gtk+-2.0',            'ver': '2.8.0'})
+deps.append ({'lib': 'gtk+-2.0',            'ver': '2.10.0'})
 deps.append ({'lib': 'libglade-2.0',        'ver': '2.5.0'})
 deps.append ({'lib': 'libgnomeui-2.0',      'ver': '2.12.0'})
-deps.append ({'lib': 'libgnomeprint-2.2',   'ver': '2.12.0'})
 deps.append ({'lib': 'libxml-2.0',          'ver': '2.6.0'})
 deps.append ({'lib': 'libgnomecanvas-2.0',  'ver': '2.12.0'})
 deps.append ({'lib': 'gtksourceview-1.0',   'ver': '1.0'})
-deps.append ({'lib': 'cairo',               'ver': '1.0.0'})
-deps.append ({'lib': 'libgnomeprintui-2.2', 'ver': '2.12.0'})
+deps.append ({'lib': 'cairo',               'ver': '1.2.0'})
 
 # CUSTOM CHECK FUNC #
 def CheckPkg (context, pkg, version):
@@ -115,8 +113,9 @@
 SConscript ('po/SConscript');
 
 # Install Target #
-CEnv.Alias ('install', CEnv.Command ('oregano.keys', 'oregano.keys.in', "sed 's/@icondir@/"+os.path.join (CEnv['PREFIX'], CEnv['DATADIR'],"mine-info").replace ("/", "\\/")+"/' < $SOURCE > $TARGET"))
+CEnv.Alias ('install', CEnv.Command ('oregano.keys', 'oregano.keys.in', "sed 's/@icondir@/"+os.path.join (CEnv['DATADIR'], "pixmaps").replace ("/", "\\/")+"/' < $SOURCE > $TARGET"))
 CEnv.Alias ('install', CEnv.Command ('oregano.xml', 'oregano.xml.in', "cp $SOURCE $TARGET"))
+CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/pixmaps'), Split('gnome-oregano.svg')))
 CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime/packages'), Split('oregano.xml')))
 CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/mime-info'), Split('oregano.mime oregano.keys')))
 CEnv.Alias ('install', CEnv.Install (os.path.join (CEnv['INSTALL_DIR'], 'share/applications'), Split('oregano.desktop')))

## oregano 0.69.1

=== SConstruct ===
--- 
+++ 
@@ -20,7 +20,7 @@
 deps.append ({'lib': 'libgnomeui-2.0',      'ver': '2.12.0'})
 deps.append ({'lib': 'libxml-2.0',          'ver': '2.6.0'})
 deps.append ({'lib': 'libgnomecanvas-2.0',  'ver': '2.12.0'})
-deps.append ({'lib': 'gtksourceview-1.0',   'ver': '1.0'})
+deps.append ({'lib': 'gtksourceview-2.0',   'ver': '2.0'})
 deps.append ({'lib': 'cairo',               'ver': '1.2.0'})
 
 # CUSTOM CHECK FUNC #

=== debian/changelog ===
oregano (0.69.1-3) unstable; urgency=low

  * Merge pending ubuntu patch.
  * debian/patches/line.drawing.patch: When moving a wire so that it joins
    with another delete the moved one, as well as extending the other.
  * Remove obsolete dependency of libgnomeprint (Closes: #644563)
  * Migrate to format 3.0 (quilt)
  * Update Standards-Version to 3.9.2.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Nov 2011 13:08:58 -0300

oregano (0.69.1-2) unstable; urgency=low

  * Disable omit-frame-pointer optimization to avoid segfault in amd64.
    Further analysis pending. (Closes: #590688)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 Aug 2010 16:50:23 -0300

oregano (0.69.1-1) unstable; urgency=low

  * New upstream release.
    - Migration to gtksourceview2.0 (Closes: #532939)
    - Fix png export (Closes: #528911)
    - Add black and white export support (Closes: #527448)
  * Update old patches.
    - Use shorter name as Name in desktop file (Closes: #509948)
  * Update Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jul 2009 19:27:35 -0300

oregano (0.69.0-2) unstable; urgency=low

  * Fixed dpkg-shlibs warnings.
    - Set LDFLAGS in rules file.
    - Added patch to make scons receive LDFLAGS
       (patches/scons.env.ldflags.dpatch)
  * Fixed invalid characters in power.oreglib
    - Added patch to fix the invalid characters.
       (patches/power.lib.mess.dpatch)
  * Moved Homepage pseudo field to real field.
  * Updated Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 19 Feb 2008 21:01:27 -0200

oregano (0.69.0-1) unstable; urgency=low

  * New upstream release.
    - Added 1N4148.model (Closes: #432997)
  * Removed upstream.sync patch. (patches/upstream.sync.dpatch)
  * Removed headers.missing patch. (patches/headers.missing.dpatch)
  * Updated desktop.update patch. (patches/desktop.update.dpatch)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 16 Aug 2007 23:22:15 -0300

oregano (0.60.0-2) unstable; urgency=low

  * Fixes FTBFS, by adding gnome-print-paper header in the print.c source file
    (patch headers-missing), thanks to Lucas Nussbaum and Luis Rodrigo
    Gallardo Cruz (Closes: #422397)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 16 Jun 2007 13:09:53 -0300

oregano (0.60.0-1) unstable; urgency=low

  * New upstream release.
  * Fixes typo in the package description, thanks to Simon Waters for
    the report (Closes: #390245)
  * Updates desktop file, thanks to Jordi Mallach for the patch
    (Closes: #393952)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 19 Oct 2006 12:01:03 -0300

oregano (0.50.1-2) unstable; urgency=low

  * Fixes problem with encodings, thanks to Viktor Bindewald for the report
    and testing. (Closes: #369602)
  * Fixes a possible crash when editing part properties (upstream fix).
  * Changes the installation path of the desktop file.
  * Honors the CFLAGS value.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 25 Aug 2006 00:28:24 -0300

oregano (0.50.1-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 03 Aug 2006 19:35:28 -0300

oregano (0.40.5-2) unstable; urgency=low

  * Fixes translations of dialogs - thanks to Jordi Mallach <jordi@debian.org>.
  * Updates catalan translation - thanks to Jordi Mallach <jordi@debian.org>
    (Closes: #350293).
  * Updates french translation - thanks to Jean-Luc Coulon
    <jean-luc.coulon@wanadoo.fr> (Closes: #354596).
  
 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 14 Apr 2006 14:02:59 -0300

oregano (0.40.5-1) unstable; urgency=low

  * Updates russian translation - thanks to Yuri Kozlov <yuray@id.ru>
    (Closes: #326925).
  * Updates brazilian portuguese translation - thanks to 
    "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>
    (Closes: #348130).
  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Mon, 23 Jan 2006 19:42:49 -0300

oregano (0.40.4-2) unstable; urgency=low

  * Building now against libcairo2-dev (Closes: #321058).
  * Leaving names on oregano.1 without funny characters.

 -- David Moreno Garza <damog@debian.org>  Mon,  5 Sep 2005 20:20:53 -0500

oregano (0.40.4-1) unstable; urgency=low

  * New upstream release (Closes: #293094).
  * Adds --disable-update-mime to the configure parameters - thanks to Aaron
    M. Ucko <ucko@debian.org> (Closes: #313132).
  * Updates german translation - thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #313950).

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 21 Jun 2005 11:25:09 -0300

oregano (0.40.0-5) unstable; urgency=high

  * Fixes segfaults on ia64 - thanks to David Mosberger-Tang <davidm@mostang.com>
    (Closes: #310936).

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sun, 29 May 2005 14:23:24 -0300

oregano (0.40.0-4) unstable; urgency=high

  * Fixes incompatibility bug with libcairo 0.4 (Closes: #309645).

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 26 May 2005 16:47:43 -0300

oregano (0.40.0-3) unstable; urgency=low

  * Patched file.c which now allows GTK 2.4 or newer (Closes: #300456).
  * Updated catalan translation (Closes: #288388).
  * Changed to a proper more "generic" section: electronics (Closes: #296673).

 -- David Moreno Garza <damog@damog.net>  Fri, 25 Mar 2005 17:30:24 -0600

oregano (0.40.0-2) unstable; urgency=low

  * Adds postinst, postrm script that manage mime files cleanly - thanks
    to the accurate Manuel Enrique observations (Closes: #286158).
  * Minor change in the package description.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu,  9 Dec 2004 00:20:56 -0300

oregano (0.40.0-1) unstable; urgency=low

  * New upstream release (Closes: #283237).
  * Fixes documentation (README.Debian) as suggested by upstream
  	(its a great thing to have upstream using Debian).
  * Adds perl (needed by the parser) and gnucap as Recommended.


=== debian/control ===
Source: oregano
Section: electronics
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 7.0.50~), scons, libgnome2-dev, libgnomeui-dev,
               libxml2-dev, libgtk2.0-dev, libgtksourceview2.0-dev,
               libglade2-dev, intltool, scrollkeeper, libfontconfig1-dev,
               libfreetype6-dev (>=2.1.0), libxrender-dev(>=0.6.0),
               libx11-dev, libpng12-dev, libcairo2-dev, libgnomecanvas2-dev
Standards-Version: 3.9.2
Homepage: http://oregano.gforge.lug.fi.uba.ar/

Package: oregano
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: gnucap
Description: tool for schematical capture of electronic circuits
 Oregano is a GNOME application for schematic capture and printing of
 electronic circuits. It can simulate the circuits using Gnucap, 
 ng-spice or Berkeley spice.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -fno-omit-frame-pointer
endif

%:
	dh  $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" scons RunUpdateMimeDatabase=no PREFIX=/usr

override_dh_auto_clean:
	-scons PREFIX=/usr -c
	-rm -rf .sconf_temp

override_dh_auto_install:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" scons RunUpdateMimeDatabase=no PREFIX=/usr DESTDIR=$(CURDIR)/debian/oregano/ install

=== debian/watch ===
# watch control file for uscan
version=2
http://gforge.lug.fi.uba.ar/frs/?group_id=11 /frs/download.php/.*/oregano-(.*)\.tar\.gz	debian	uupdate

## oregano 0.70

=== debian/changelog ===
oregano (0.70-3ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-ftbfs-with-binutils-gold.patch: Reorder libs to fix
      FTBFS with binutils-gold.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 01 Dec 2015 20:11:35 -0500

oregano (0.70-3) unstable; urgency=medium

  * Refresh patches.
  * New patch: 0007-Update-russian-translation.patch (Closes: #804278)
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Bump debhelper compat and build dep to 9.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 08 Nov 2015 18:39:47 +0100

oregano (0.70-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-ftbfs-with-binutils-gold.patch: Reorder libs to fix
      FTBFS with binutils-gold.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 04 May 2014 16:25:21 -0400

oregano (0.70-2) unstable; urgency=medium

  * Replace libpng12-dev with libpng-dev. (Closes: #662459)
  * Update watch file.
  * New patch: clang_FTBFS_Wreturn-type.patch (Closes: #743871) Thanks
    to Nicolas Sévelin-Radiguet.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Apr 2014 15:39:20 +0200

oregano (0.70-1.1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-ftbfs-with-binutils-gold.patch: Reorder libs to fix
      FTBFS with binutils-gold.
  * debian/patches/fix-ftbfs-from-lib-underlinkage.patch: Drop, as it has been
    superseded by a patch from Debian.
  * debian/patches/fix-ftbfs-with-binutils-gold.patch: Refresh.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Jul 2013 12:10:55 -0400

oregano (0.70-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Petter Reinholdtsen ]
  * New patch math-library.patch to make sure to link with -lm and
    fix build failure (Closes: #713450).

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 15:54:33 +0200

oregano (0.70-1ubuntu2) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 19 Apr 2013 16:28:07 -0400

oregano (0.70-1ubuntu1) quantal; urgency=low

  * debian/patches/fix-ftbfs-with-binutils-gold.patch:
    - Reorder libs to fix FTBFS with binutils-gold.

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 27 Jun 2012 12:39:34 +0200

oregano (0.70-1) unstable; urgency=low

  * New upstream release.
  * New upstream, Marc Lorber
  * debian/patches/format-security.patch: fixes format-security errors
  * debian/patches/missing.potfiles.patch: add missing files to POTFILES.in
    and POTFILES.skip
  * debian/patches/remove.unneeded.docs.patch: avoid duplication of license
    and the installation of the INSTALL file

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2012 20:00:53 -0300

=== debian/control ===
Source: oregano
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool,
               libcairo2-dev,
               libfontconfig1-dev,
               libfreetype6-dev (>= 2.1.0),
               libglade2-dev,
               libgnome2-dev,
               libgnomecanvas2-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
               libgtksourceview2.0-dev,
               libpng-dev,
               libx11-dev,
               libxml2-dev,
               libxrender-dev (>= 0.6.0),
               scrollkeeper
Standards-Version: 3.9.6
Homepage: https://github.com/marc-lorber/oregano

Package: oregano
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: gnucap
Description: tool for schematical capture of electronic circuits
 Oregano is a GNOME application for schematic capture and printing of
 electronic circuits. It can simulate the circuits using Gnucap,
 ng-spice or Berkeley spice.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

LDFLAGS += -lcairo

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-update-mimedb

=== debian/watch ===
version=3
opts=filenamemangle=s|^.*/archive/v|oregano-| \
    https://github.com/marc-lorber/oregano/tags .*/archive/v(\d[\d\.]+).tar.gz
